Skip to main content
POST
/
virtual-accounts
/
kyc
Initiate KYC
curl --request POST \
  --url https://api.pcxpay.com/v1/virtual-accounts/kyc \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "email": "jsmith@example.com",
  "customer_type": "individual"
}
'
{
  "status": "success",
  "message": "Operation completed successfully",
  "data": {
    "customer_id": "<string>",
    "tos_link": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
email
string<email>
required
customer_type
enum<string>
required
Available options:
individual,
business
Example:

"individual"

Response

KYC initiated

status
enum<string>
Available options:
success,
error
Example:

"success"

message
string
Example:

"Operation completed successfully"

data
object